﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PseudoInterpreter.UI
{
    /// <summary>
    /// Logica di interazione per EditorControl.xaml
    /// </summary>
    public partial class EditorControl : UserControl
    {
        public EditorControl()
        {
            InitializeComponent();
            this.CodeArea.Text = CodeProvider.Code;
        }
        internal void SaveCode() {
            CodeProvider.Code = this.CodeArea.Text;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string s = this.CodeArea.Text;
            int index = this.CodeArea.CaretIndex;
            int selLength = this.CodeArea.SelectionLength;
            string c = (string)((Button)sender).Content;
            //corretto problema di non eliminazione testo
            s = s.Substring(0, index) + c + s.Substring(index+selLength);
            this.CodeArea.Text = s;
            this.CodeArea.CaretIndex = index + c.Length;
            this.CodeArea.Focus();
        }
    }
}
