﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class BlockStatement : Statement
    {
        public List<Statement> Body;

        public BlockStatement()
            : base(NodeType.BlockStatement)
        {
            Body = new List<Statement>();
        }
        public BlockStatement(IEnumerable<Statement> stats)
            : this()
        {
            this.Body.AddRange(stats);
        }
    }
}
