﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class ForEachStatement : Statement
    {
        public Expression IterationVariable;
        public Expression Iterable;
        public Statement Body;

        public ForEachStatement()
            : base(NodeType.ForEachStatement)
        {  }
        public ForEachStatement(Expression iterationVariable, Expression iterable, Statement body) :this() {
            this.Iterable = iterable;
            this.IterationVariable = iterationVariable;
            this.Body = body;
        }
    }
}
