﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class ForStatement : Statement
    {
        public Expression Initial;
        public Expression End;
        public Statement Body;
        public ForIterationType IterationType;

        public ForStatement()
            : base(NodeType.ForStatement)
        {

        }
        public ForStatement(ForIterationType iteratopnType, Expression initial, Expression end, Statement body) :this() {
            Initial = initial;
            IterationType = iteratopnType;
            End = end;
            Body = body;
        }
    }
}
