﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class GroupExpression : Expression
    {
        public Expression Expression;
        public GroupType GroupType;
        public GroupExpression() : base(NodeType.GroupExpression) {
            GroupType = GroupType.Group;
        }
        public GroupExpression(GroupType type, Expression expression) : this() {
            this.Expression = expression;
            this.GroupType = type;
        }
    }
}
