﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public enum NodeType
    {
        ForStatement,
        IfStatement,
        WhileStatement,
        ReturnStatement,
        BlockStatement,
        ProgramStatement,
        
        CallExpression,
        FunctionDeclaration,
        ArrayExpression,
        MemberAccessor,
        UnaryExpression,
        BinaryExpression,
        ArrayRangeExpression,
        GroupExpression,

        Identifier,
        ConstantInteger,
        ConstantFloat,
        ConstantInfinity,
        ConstantNil,
        ConstantEmptySet,
        SetInitializationExpression,
        ArrayInitializationExpression,

        ExpressionStatement,
        PrintStatement,
        RepeatStatement,
        SwapStatement,
        ForEachStatement
    }
}
