﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class RepeatStatement : Statement
    {
        public Expression Test;
        public Statement Body;

        public RepeatStatement() : base(NodeType.RepeatStatement) { }
        public RepeatStatement(Expression test, Statement body) : this() {
            this.Test = test;
            this.Body = body;
        }
    }
}
