﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class SwapStatement : Statement
    {
        public Expression Left;
        public Expression Right;

        public SwapStatement() : base(NodeType.SwapStatement) { }
        public SwapStatement(Expression left, Expression right) : this() {
            this.Left = left;
            this.Right = right;
        }
    }
}
