﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PseudoInterpreter.Recursive;

namespace PseudoInterpreter.Interpreter
{
    public interface IArrayProvider : IObjectProvider
    {
        IEnumerable<Result<Provider>> Slice(AstInterpreter ai, ReferenceValue thisReference, ReferenceValue start, ReferenceValue end);
        ReferenceValue GetIndexedProperty(ReferenceValue thisReference, ReferenceValue rv);
    }
}
