﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Interpreter
{
    [System.ComponentModel.ImmutableObject(true)]
    internal sealed class ValueChangedArgs : EventArgs
    {
        public readonly Provider Before;
        public readonly Provider After;
        public ValueChangedArgs(Provider before, Provider after) {
            this.Before = before;
            this.After = after;
        }
    }
}
