﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Tokenizer
{
    public enum TokenType
    {
        StartBlock,
        EndBlock,
        For,
        To,
        While,
        If,
        Else,
        StartIndexer,
        EndIndexer,
        Assignment,
        Identifier,
        StartGroup,
        EndArgument,
        EndGroup,
        Plus,
        Minus,
        Range,
        Div,
        Mult,
        Remainder,
        Greater,
        GreaterEqual,
        Less,
        LessEqual,
        Equal,
        Different,
        LogicalAnd,
        LogicalOr,
        LogicalNot,
        Infinity,
        Nil,
        MemberAccessor,
        Return,
        ConstantDouble,
        ConstantInteger,
        EndStatement,
        EndInput,

        StartFloor,
        EndFloor,
        StartCeiling,
        EndCeiling,
        Print,
        Repeat,
        Until,
        Downto,
        Swap,
        DoubleArrow,
        Then,
        //set tokens

        StartSet,
        EndSet,
        Union,
        Intersection,
        ElementOf,
        NotElementOf,
        SupersetOf,
        SubsetOf,
        SupersetOfEqual,
        SubsetOfEqual,
        EmptySet,
        SetMinus,
        Each
    }
}
