﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace PseudoInterpreter.UI
{
    /// <summary>
    /// Logica di interazione per MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Editor_Click(null, null);
        }
        
        private void Editor_Click(object sender, RoutedEventArgs e)
        {
            SaveCode();
            Container.Content = new EditorControl();
        }
        private void Token_Click(object sender, RoutedEventArgs e)
        {
            SaveCode();
            Container.Content = new TokenControl();
        }
        private void Interpreter_Click(object sender, RoutedEventArgs e)
        {
            SaveCode();
            Container.Content = new InterpreterControl();
        }
        private void Ast_Click(object sender, RoutedEventArgs e)
        {
            SaveCode();
            Container.Content = new AstControl();
        }

        private void SaveCode() {
            if (Container.Content is EditorControl) {
                ((EditorControl)Container.Content).SaveCode();
            }
        }
    }
}
