﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class IfStatement : Statement
    {
        public Expression Test;
        public Statement Consequent;
        public Statement Alternate;

        public IfStatement() : base(NodeType.IfStatement) { }
        public IfStatement(Expression test, Statement consequent, Statement alternate) :this() {
            this.Test = test;
            this.Consequent = consequent;
            this.Alternate = alternate;
        }
    }
}
