﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class ProgramStatement : Statement
    {
        public List<Statement> Body;

        public ProgramStatement() : base(NodeType.ProgramStatement) {
            Body = new List<Statement>();
        }
        public ProgramStatement(IEnumerable<Statement> statements) : this() {
            Body.AddRange(statements);
        }
    }
}
