﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PseudoInterpreter.Ast
{
    public sealed class WhileStatement : Statement
    {
        public Expression Test;
        public Statement Body;

        public WhileStatement() : base(NodeType.WhileStatement) { }
        public WhileStatement(Expression test, Statement body) :this() {
            this.Test = test;
            this.Body = body;
        }
    }
}
