﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Numerics;
using System.Threading.Tasks;

namespace PseudoInterpreter.Tokenizer
{
    public sealed class IntegerToken : Token
    {
        public BigInteger Value { get; private set; }
        internal IntegerToken(BigInteger value) : base(TokenType.ConstantInteger) {
            this.Value = value;
        }
    }
}
